> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1voicepost processingcampaign stopper test



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/voice/post-processing/campaign-stopper/{call}/test
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/post-processing/campaign-stopper/{call}/test:
    post:
      tags:
        - AgentPostProcessing
      operationId: voice.testCampaignStopper
      parameters:
        - name: call
          in: path
          required: true
          description: The call ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`CampaignStopperDataRequest`'
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CampaignStopperDataRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                      data:
                        type: string
                    required:
                      - success
                      - data
                  - type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                        example: >-
                          No decision made. The call is not eligible for
                          campaign stopping.
                    required:
                      - success
                      - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CampaignStopperDataRequest:
      type: object
      properties:
        enabled:
          type: boolean
          default: false
        prompt:
          type:
            - string
            - 'null'
      title: CampaignStopperDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````